SPARSE_KEYMAP_REPORT(9)

NAME
sparse_keymap_report_entry - report event corresponding to given key entry

SYNOPSIS

void sparse_keymap_report_entry(struct input_dev * dev, const struct key_entry * ke, unsigned int value, bool autorelease);

ARGUMENTS

dev
    Input device for which event should be reported

ke
    key entry describing event

value
    Value that should be reported (ignored by KE_SW entries)

autorelease
    Signals whether release event should be emitted for KE_KEY entries right after reporting press event, ignored by all other entries

DESCRIPTION

This function is used to report input event described by given struct key_entry.

COPYRIGHT